EUFORM-CREATE-STACK(1)

NAME
euform-create-stack - Create a new stack

SYNOPSIS
euform-create-stack (--template-file FILE | --template-url URL) [-d]

[-n ARN[,...]] [--capabilities CAP[,...]]
    [-p KEY=VALUE] [-t MINUTES] [--tag KEY[=VALUE]] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] STACK

DESCRIPTION
Create a new stack

  positional arguments:

STACK
    name of the new stack (required)

  optional arguments:

--template-file FILE
    file containing the new stack's JSON template

--template-url URL
    URL pointing to the new stack's JSON template

-d, --disable-rollback
    disable rollback on failure

-n ARN[,...], --notification-arns ARN[,...]
    SNS ARNs to publish stack actions to

--capabilities CAP[,...]
    capabilities needed to create the stack

-p KEY=VALUE, --parameter KEY=VALUE
    key and value of the parameters to use with the new stack's template, separated by an "=" character

-t MINUTES, --timeout MINUTES
    timeout for stack creation

--tag KEY[=VALUE]
    key and optional value of the tag to create, separated by an "=" character. If no value is given the tag's value is set to an empty string.

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    deployment templating service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit